%define name ldap-account-manager
%define ver 0.4.10
%define rel 1AX
%define serverroot /var/www/html

Summary:      LDAP Account Manager (LAM) 
Name:         %{name}
Version:      %{ver}
Release:      %{rel}
License:      GPL
Group:        Productivity/Networking/Web/Frontends
Source0:      ldap-account-manager_%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://lam.sourceforge.net
patch0: ja_JP-translation.patch
patch1: lam-0.4.10-utf8.patch
patch2: language.patch

%description
LAM, LDAP Account Manager is a webfrontend to manage Samba 2.2 and 3.0
Accounts stored in openldap.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
rm -rf locale/ja_JP/LC_MESSAGES/messages.mo
cp config/config.cfg_sample \
   config/config.cfg
cp config/lam.conf_sample \
   config/lam.conf
cp config/language \
   config/language.org
cp lib/account.inc \
   lib/account.inc.org
cp templates/account/useredit.php \
   templates/account/useredit.php.org
cp templates/lists/listgroups.php \
   templates/lists/listgroups.php.org
cp templates/lists/listhosts.php \
   templates/lists/listhosts.php.org
cp templates/lists/listusers.php \
   templates/lists/listusers.php.org

%patch0 -p 0
#%patch1 -p 0
%patch2 -p 0

%build

%install
mkdir -p $RPM_BUILD_ROOT%{serverroot}/lam
cp -rf * $RPM_BUILD_ROOT%{serverroot}/lam

%clean
#rm -rf $RPM_BUILD_ROOT

%post
chown apache:apache -R $RPM_BUILD_ROOT%{serverroot}/lam/config
chown apache:apache -R $RPM_BUILD_ROOT%{serverroot}/lam/tmp
chown apache:apache -R $RPM_BUILD_ROOT%{serverroot}/lam/sess
msgfmt -o $RPM_BUILD_ROOT%{serverroot}/lam/locale/ja_JP/LC_MESSAGES/messages.mo \
          $RPM_BUILD_ROOT%{serverroot}/lam/locale/ja_JP/LC_MESSAGES/messages.po

%files
%defattr(-, root, root)
%{serverroot}/lam
%config(noreplace) %{serverroot}/lam/config/lam.conf


%changelog
* Thu Sep  1 2005 Shiro Yamada <shiro@miraclelinux.com>
- upgrade to 0.4.10
- disable utf-8 patch

* Fri Aug 20 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - php utf8_encode and utf8_decode fix (patch1)
  - language utf8 add (patch2)

* Fri Jun 11 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - Japanese translation fix

* Tue Jun  8 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - bug fix

* Fri Apr 30 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - rebuild for Asianux 1.0
